/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#if !defined(_HARKLIB_LOGGER_H_INCLUDED_)
#define _HARKLIB_LOGGER_H_INCLUDED_ 1

#include "hark-lib/hark-lib.h"
#include "hark-lib/node.h"

namespace hark
{
    class Logger: public object {
    public:
        Logger() = default;
        virtual ~Logger() = default;

    public:
        void info(const char *message);
        void info(const std::string &message);

    };
}

#endif /* #if !defined(_HARKLIB_LOGGER_H_INCLUDED_) */

/* end of file */
